# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KNetwork::KNetworkInterface Class Reference

A place-holder class for a future network interface class. More...

`#include <knetworkinterface.h>`

## Detailed Description

A place-holder class for a future network interface class.

This class is to be replaced with a more powerful version, inspired by:

- KInetInterface (kdenetwork/krfb/srvloc)
- NWInterface (kdenonbeta/knot/lib)
- java.net.NetworkInterface

Definition at line 39 of file knetworkinterface.h.

The documentation for this class was generated from the following file:

- knetworkinterface.h

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:19:19 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003